PLATINUM DOCS
ApiVolumes

POST /v1/volumes

POST
/v1/volumes

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Either a name or {"temporary": true}.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/volumes" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "kind": "volume",  "temporary": true,  "head_commit_id": "string",  "size_limit_bytes": 0,  "logical_bytes": 0,  "unique_bytes": 0,  "file_count": 0,  "region": "string",  "forked_from": {    "volume_id": "string",    "commit_id": "string"  },  "created_at": "string",  "updated_at": "string",  "last_commit_at": "string",  "live_mounts": 0}
Empty
{  "error": "string",  "code": "string",  "limit": "string",  "max": 0,  "used": 0,  "requested": 0,  "reason": "string"}
{  "error": "string",  "code": "string",  "limit": "string",  "max": 0,  "used": 0,  "requested": 0,  "reason": "string"}